# Uses of Interface
org.codehaus.janino.util.signature.SignatureParser.TypeSignature

Packages that use SignatureParser.TypeSignature
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.TypeSignature in org.codehaus.janino.util.signature

Subinterfaces of SignatureParser.TypeSignature in org.codehaus.janino.util.signature
Modifier and Type
Interface
Description
`static interface`
`SignatureParser.FieldTypeSignature`
Representation of the "FieldTypeSignature" clause.
Classes in org.codehaus.janino.util.signature that implement SignatureParser.TypeSignature
Modifier and Type
Class
Description
`static class`
`SignatureParser.ArrayTypeSignature`
Representation of the "ArrayTypeSignature" clause.
`static class`
`SignatureParser.ClassTypeSignature`
Representation of the "ClassTypeSignature" clause, e.g.
`static class`
`SignatureParser.PrimitiveTypeSignature`
Representation of the "PrimitiveTypeSignature" clause, i.e.
`static class`
`SignatureParser.TypeVariableSignature`
Representation of the "TypeVariableSignature" clause, e.g.
Fields in org.codehaus.janino.util.signature declared as SignatureParser.TypeSignature
Modifier and Type
Field
Description
`final SignatureParser.TypeSignature`
SignatureParser.ArrayTypeSignature.`componentTypeSignature`
The type of the array components.
`final SignatureParser.TypeSignature`
SignatureParser.MethodTypeSignature.`returnType`
The return type of the method.
`static final SignatureParser.TypeSignature`
SignatureParser.`VOID`
Representation of the 'void' type.
Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.TypeSignature
Modifier and Type
Field
Description
`final List<SignatureParser.TypeSignature>`
SignatureParser.MethodTypeSignature.`parameterTypes`
The types of the method's parameters.
Methods in org.codehaus.janino.util.signature that return SignatureParser.TypeSignature
Modifier and Type
Method
Description
`SignatureParser.TypeSignature`
SignatureParser.`decodeClassNameOrFieldDescriptor(String s)`
Decodes a "class-name-or-field-descriptor" as defined in JLS8 4.4.1 ("name_index").
`SignatureParser.TypeSignature`
SignatureParser.`decodeFieldDescriptor(String s)`
Decodes a 'field descriptor' as defined in JLS7 4.3.2.
`SignatureParser.TypeSignature`
SignatureParser.`decodeReturnType(String s)`
Decodes a 'return type' as defined in JVMS7 4.3.4 / JVMS8 4.7.9.1.
`SignatureParser.TypeSignature`
SignatureParser.`decodeTypeSignature(String s)`
Decodes a 'type signature' as defined in JVMS7 4.3.4 / JVMS8 4.7.9.1.
Constructors in org.codehaus.janino.util.signature with parameters of type SignatureParser.TypeSignature
Modifier
Constructor
Description
``
`ArrayTypeSignature(SignatureParser.TypeSignature componentTypeSignature)`
``
`MethodTypeSignature(List<SignatureParser.FormalTypeParameter> formalTypeParameters, List<SignatureParser.TypeSignature> parameterTypes, SignatureParser.TypeSignature returnType, List<SignatureParser.ThrowsSignature> thrownTypes)`